classification
Title: typo in imp.reload
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: ezio.melotti, felloak, python-dev
Priority: normal Keywords:

Created on 2013-08-08 03:22 by felloak, last changed 2013-08-11 17:14 by python-dev. This issue is now closed.

Messages (4)
msg194641 - (view) Author: Weizhao Li (felloak) Date: 2013-08-08 03:22
just a typo:

270c270
<             raise ImportError(msg.format(parentname), name=parent_name)
---
>             raise ImportError(msg.format(parent_name), name=parent_name)
msg194819 - (view) Author: Roundup Robot (python-dev) Date: 2013-08-10 17:02
New changeset 80b65aa2d579 by Ezio Melotti in branch '3.3':
#18681: Fix a NameError in imp.reload() (noticed by Weizhao Li).
http://hg.python.org/cpython/rev/80b65aa2d579

New changeset 6bee7f1061e0 by Ezio Melotti in branch 'default':
#18681: merge with 3.3.
http://hg.python.org/cpython/rev/6bee7f1061e0
msg194820 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-08-10 17:03
Fixed, thanks for the report!
msg194903 - (view) Author: Roundup Robot (python-dev) Date: 2013-08-11 17:14
New changeset dab790a17c4d by Serhiy Storchaka in branch '3.3':
Issue #18706: Fix a test for issue #18681 so it no longer breaks test_codeccallbacks*.
http://hg.python.org/cpython/rev/dab790a17c4d

New changeset 1f4aed2c914c by Serhiy Storchaka in branch 'default':
Issue #18706: Fix a test for issue #18681 so it no longer breaks test_codeccallbacks*.
http://hg.python.org/cpython/rev/1f4aed2c914c
History
Date User Action Args
2013-08-11 17:14:23python-devsetmessages: + msg194903
2013-08-10 17:03:37ezio.melottisetstatus: open -> closed

assignee: ezio.melotti
versions: + Python 3.4
nosy: + ezio.melotti

messages: + msg194820
resolution: fixed
stage: resolved
2013-08-10 17:02:44python-devsetnosy: + python-dev
messages: + msg194819
2013-08-08 03:22:22felloakcreate